Community Packages

Please read this before reporting a bug:
http://wiki.archlinux.org/index.php/Reporting_Bug_Guidelines

Do NOT report bugs when a package is just outdated, or it is in the AUR. Use the 'flag out of date' link on the package page, or the Mailing List.

REPEAT: Do NOT report bugs for outdated packages!
Tasklist

FS#69010 - [cinnamon] Add wget as dependency for album artwork in the sound@cinnamon.org applet

Attached to Project: Community Packages
Opened by Roshan Padaki (rpadaki) - Thursday, 17 December 2020, 07:35 GMT
Last edited by Bruno Pagani (ArchangeGabriel) - Sunday, 14 November 2021, 09:14 GMT
Task Type Bug Report
Category Packages
Status Closed
Assigned To Eli Schwartz (eschwartz)
Architecture All
Severity Low
Priority Normal
Reported Version
Due in Version Undecided
Due Date Undecided
Percent Complete 100%
Votes 0
Private No

Details

Description:

The Cinnamon sound applet [implicitly assumes wget is installed](https://github.com/linuxmint/cinnamon/blob/4.8.3/files/usr/share/cinnamon/applets/sound@cinnamon.org/applet.js#L733).

In particular, if wget is not installed, it is unable to properly load some album artwork, notably for Linux Spotify (available from aur: spotify or spotify-dev).

Once confirmed, the fix is simply adding wget as a dependency, although I'm not sure how easy/difficult that is behind the scenes.

Additional info:

* I am running Cinnamon 4.8.3, though this has evidently been happening for quite some time
* I'm using the spotify-dev aur package
* The patch enabling album artwork for Spotify only hit production in 4.8.0, for the record
* And yes, I managed to have a machine that I use every day for development that somehow didn't have wget installed -- I must have orphaned it: I hastily cleaned up orphans earlier today, likely exposing the issue

Steps to reproduce:

* Uninstall wget/temporarily move it to disable
* Play music in spotify -- the album artwork will not load in the applet
* Reinstall wget
* Close and repoen spotify, and play a song -- the album artwork will load
This task depends upon

Closed by  Bruno Pagani (ArchangeGabriel)
Sunday, 14 November 2021, 09:14 GMT
Reason for closing:  Implemented
Additional comments about closing:  Added as an optdep in 5.0.7-3.

Loading...